[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible arch: never cleanup $TMPDIR from the node, we need to rsync from it

Holger Levsen holger at moszumanska.debian.org
Fri Oct 16 16:28:30 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit d546a36c6a784d8c58a6e2813667b7d3a843e5b0
Author: Holger Levsen <holger at layer-acht.org>
Date:   Fri Oct 16 18:27:41 2015 +0200

    reproducible arch: never cleanup $TMPDIR from the node, we need to rsync from it
---
 bin/reproducible_build_arch_pkg.sh | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/bin/reproducible_build_arch_pkg.sh b/bin/reproducible_build_arch_pkg.sh
index 99aafb6..beff2d6 100755
--- a/bin/reproducible_build_arch_pkg.sh
+++ b/bin/reproducible_build_arch_pkg.sh
@@ -14,9 +14,11 @@ set -e
 
 cleanup_all() {
 	cd
-	# delete main work dir
-	rm $TMPDIR -r
-	echo "$(date -u) - $TMPDIR deleted."
+	# delete main work dir (only on master)
+	if [ "$MODE" = "master" ] ; then
+		rm $TMPDIR -r
+		echo "$(date -u) - $TMPDIR deleted."
+	fi
 	# delete makekpg build dir
 	if [ ! -z $SRCPACKAGE ] && [ -d /tmp/$SRCPACKAGE-$(basename $TMPDIR) ] ; then
 		rm -r /tmp/$SRCPACKAGE-$(basename $TMPDIR)
@@ -87,6 +89,7 @@ remote_build() {
 	ssh -p $PORT $NODE /srv/jenkins/bin/reproducible_build_arch_pkg.sh $BUILDNR ${SRCPACKAGE} ${TMPDIR}
 	RESULT=$?
 	if [ $RESULT -ne 0 ] ; then
+		ssh -p $PORT $NODE "rm -r $TMPDIR" || true
 		handle_remote_error "with exit code $RESULT from $NODE for build #$BUILDNR for ${SRCPACKAGE}"
 	fi
 	rsync -e "ssh -p $PORT" -r $NODE:$TMPDIR/b$BUILDNR $TMPDIR/

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list